Skip to content

Images

All operations require authentication, except the one marked Public.

3 operationsv1/vps/order · /vps/{serviceName}
Agent setup

List images available for this VPSBeta

GET
/1.0/vps/{serviceName}/images/available

Returns the names of the images that can be installed on the VPS.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/images/available \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Retrieve details about a specific image available for this VPSBeta

GET
/1.0/vps/{serviceName}/images/available/{id}

Returns the name, distribution and version of an image that can be installed on the VPS.

Path parameters

id
required
string

Id

serviceName
required
string

Service name

Response

200Imagesuccessful operation
id
read-only
string
—
name
read-only
string
—

Example uses id = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/vps/{serviceName}/images/available/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": "string", "name": "string"}

List OS choices and availability status for a VPS orderProductionPublic

GET
/1.0/vps/order/rule/osChoices

Returns the operating systems that can be chosen for a VPS order, with their availability status.

Query parameters

datacenter
required
string

VPS datacenter

os
required
string

VPS OS selection in order api

Response

200OSChoicessuccessful operation
choices
read-only
OSChoice[]
—

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/vps/order/rule/osChoices
ResponseExample
{ "choices": [ { "name": "string", "status": "available" } ]}